Skip navigation

java question

660 Views 22 Replies Latest reply: Feb 4, 2013 9:23 PM by MadMacs0 RSS
  • MadMacs0 Level 4 Level 4 (3,320 points)
    Currently Being Moderated
    Feb 4, 2013 5:16 PM (in response to baltwo)

    baltwo wrote:

     

    I assumed that since both machines were running Lion, her friend installed Java 7.

    That's part of the problem is that we've both had to assume a lot here and meanwhile the OP has run off to another thread, so I guess we'll just have to wait.

    The only solution is to reinstall the latest Java 6 for Lion update and see if that fixes the issue.

    That's probably a good idea. One thing I've been wondering about is how to deal with not having the Java Preferences app now. What if you had previously used it to totally disable Java or the applet plug-in & Web Start app or 35 days go by without using it and it disables itself.  Without the JP app, how do you go about re-enabling those settings? I would guess your solution would bring the JP app back long enough to enable everything before Java for OS X 2012-006 blows it away.

  • MadMacs0 Level 4 Level 4 (3,320 points)
    Currently Being Moderated
    Feb 4, 2013 6:36 PM (in response to MadMacs0)

     

    mindyann wrote:

     

    I would like you to repeat the latest thing that I should try short of partitioning my hard drive for Windows.

     

     

    Let's see....

     

    I guess the last thing we uncovered was that you need the Java 6 plug-in to work so that you can access the grading system on your districts web site. You ask if that complicates things, and I think you've found out that it very much does since Apple has blocked Safari from allowing that. Short of disbling what Apple has done, which I can't recommend anybody do, the best available option I know of is to use Firefox by following these instructions.

     

    But first you need a working version of Java 6. Earlier you used the Terminal to determine that some version was installed, but we don't know which.  I am guessing that somewhere in the information you got back was "1.6.0_37", so let us know if it said something else. 

     

    You have also said that it's working on your desktop Mac and that shouldn't be since Apple disabled all Java 6 plug-ins for Lion and Mountain Lion users last week and has not yet posted a fix for that.

     

    You said that you are trying to get a friends MacBook to run the grading program, so are the results you have been reporting here from that MacBook or from your desktop Mac? The reason we need to know is that if Java 7 was ever installed on either of them, then there is an extra step that has to be perfomed in order to get the Java 6 plugin re-installed.

     

    Since there is no Java Preferrences app on the computer you've been reporting on, we can't check to make certain everything has been enabled on that machine, so baltwo suggested that you go back to an earlier version of Java that contains the JP app, make sure everything is enabled and then update to the latest available Java 6 (which will result in the JP app being deleted again). I don't think we need to do that until you tell us whether or not you could get Firefox working or not.

  • MadMacs0 Level 4 Level 4 (3,320 points)
    Currently Being Moderated
    Feb 4, 2013 7:25 PM (in response to MadMacs0)

    mindyann

     

    The results I reported were on my Mac which used to work but now doesn't apparently because of the block by Apple.

    That makes more sense.

    To check to see if Firefox works......must I first be on the school website?

    You need to be on a site that requires Java, so either your school site or the Java Test site would be a good option.

  • MadMacs0 Level 4 Level 4 (3,320 points)
    Currently Being Moderated
    Feb 4, 2013 9:23 PM (in response to mindyann)

    mindyann wrote:

     

    I am on the Java test site but I don't see the red plugin icon.

    I'm stalling for somebody with your setup to drop by and bale me out here, since I can't check any of this with what I have access to.

     

    Only thing I can think of is that maybe you aren't using the latest Firefox (18.0.1?)? Or perhaps you have extensions installed that would block use of the plug-in (e.g. NoScript)?

1 2 Previous Next

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.